
/*#region Section Template Page*/
.section-template .e-card-content {
    flex-direction: row !important;
}

.section-template .e-listview {
    flex: 0 0 30% !important;
    display: flex !important;
    flex-direction: row !important;
    margin-bottom: .5rem !important;
    margin-right: .5rem !important;
}

    .section-template .e-listview:not(.e-list-template) .e-list-item {
        padding: 0 !important;
        height: 2rem !important;
    }

.section-template-editor {
    flex: 1 1 auto !important;
    display: flex !important;
    flex-direction: column !important;
    margin-right: .25rem !important;
}

.section-template-editor .input-group {
    margin-bottom: .5rem;
}

.section-template-editor .e-de-viewercontainer {
    width: 100% !important;
}

    .section-template .list-container {
        display: flex;
        flex-direction: row;
    }

    .section-template .list-item {
        flex: 1 1 95%;
        margin-left: .5rem;
        align-self: center;
    }

    .section-template .list-delete {
        flex: 1 1 5%;
    }
/*#endregion*/

/*#region Report Template Page*/
.fpmcard-noscroll.report-template .e-card-content {
    flex-direction: row !important;
}

    .fpmcard-noscroll.report-template .e-card-content .left-section {
        flex: 0 0 40%;
        margin: .25rem !important;
        padding-left: .5rem !important;
        display: flex;
        flex-direction: column;
    }

        .fpmcard-noscroll.report-template .e-card-content .left-section .e-control-container {
            display: flex;
        }

        .fpmcard-noscroll.report-template .e-card-content .left-section .input-group {
            height: 2rem !important;
            display: flex;
            flex-direction: row;
            flex-wrap: nowrap;
            margin-bottom: 1rem !important;
        }

.fpmcard-noscroll.report-template .right-section {
    flex: 1 1 60%;
    margin: .25rem !important;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-content: start;
    justify-content: center;
}

    .fpmcard-noscroll.report-template .right-section .input-group {
        flex: 1 1 40%;
        height: 2rem !important;
        flex-wrap: nowrap;
        margin-bottom: 1rem !important;
        margin-right: .5rem !important;
        margin-left: .5rem !important;
    }

    .fpmcard-noscroll.report-template .right-section > .e-btn {
        flex: 0 1 40%;
        height: 2rem !important;
        margin-bottom: 1rem !important;
        margin-right: .5rem !important;
        margin-left: .5rem !important;
    }

    .fpmcard-noscroll.report-template .right-section .e-listbox-container {
        flex: 0 1 100%;
        height: 100% !important;
    }

/*#endregion*/

/*#region Listview Heading*/
.list-header {
    color: black;
    font-size: 1rem;
}

.e-list-header:has(.list-header) {
    background: whitesmoke;
}
/*#endregion*/

/*#region Report Template Selection*/
.report-template-selection {
    flex: 1 1 auto !important;
    display: flex !important;
    flex-direction: row !important;
    height: 2rem !important;
}

    .report-template-selection > .input-group {
        flex-wrap: nowrap !important;
        width: 40% !important;
    }
/*#endregion*/

/*#region Prepare Rating Scales*/
.prepare-rating-scales {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
}

.prepare-rating-scales .e-btn {
    align-self: end;
}

.note-tab-noscroll.e-tab > .e-content > .e-item.e-active:has(.select-clinical-notes) {
    padding-bottom: 1rem !important;
}

.rating-scale-dialog .e-dlg-content {
    display: flex;
    flex-direction: column;
}

    .rating-scale-dialog .e-upload {
        flex: 0 0 60%;
    }

.rating-scale-dialog .e-dlg-content .e-btn {
    flex: 0 0 auto;
    width: 30%;
    align-self: end;
    margin-top: 1rem;
}


    .prepare-rating-scales .e-listview {
        display: flex;
        flex-direction: column;
        min-height:0;
    }
    .prepare-rating-scales .e-list-header {
        flex: 0 0 3.5rem;
        display: flex;
        flex-direction: column;
        min-height:0;
    }
        .prepare-rating-scales .e-headertemplate-text {
            display: flex;
            flex-direction: row;
            min-height:0;
            align-content: center;

        }
            .prepare-rating-scales .e-headertemplate-text .list-header {
                flex: 0 0 25%;
                display: flex;
                flex-direction: row;
                min-height: 0;
                align-self:start;
            }
            .prepare-rating-scales .e-headertemplate-text .e-btn {
                flex: 1 1 auto;
                display: flex;
                flex-direction: row;
                min-height:0;
                align-self: end;
            }

    .prepare-rating-scales .e-list-container {
        flex: 1 1 auto;
        display: flex;
        flex-direction: row;
        min-height:0;
    }







.prepare-rating-scales .list-container {
    display: flex;
    flex-direction: row;
    height: 100%
}

.prepare-rating-scales .list-item {
    flex: 0 0 90%;
    align-content: center;
    margin-left: .5rem;
    height: 100%;
}

.prepare-rating-scales .list-delete {
    flex: 0 0 5%;
    height: 100%;
    display: flex;
}

    .prepare-rating-scales .list-delete .e-btn {
        flex: 1 1 100%;
        height: 100% !important;
        margin: 0 !important;
    }

        .prepare-rating-scales .list-delete .e-btn .e-btn-icon {
            vertical-align: unset !important;
            width: 100% !important;
            margin: 0 !important;
        }
/*#endregion*/

/*#region Background Editing*/
.background-editing > .e-content {
    border-left: 1px solid gainsboro;
    border-right: 1px solid gainsboro;
    border-bottom: 1px solid gainsboro;
    padding-left: .5rem !important;
    padding-right: .5rem !important;
}

.background-editing .fpmtab-noscroll.e-tab {
    padding-left: .5rem !important;
    padding-right: .5rem !important;
}
/*#endregion*/

/*#region Report Template Selection*/
.report-drafting {
    flex: 1 1 auto !important;
    display: flex !important;
    flex-direction: column !important;
}

    .report-template-selection > .input-group {
        flex-wrap: nowrap !important;
        width: 40% !important;
    }
/*#endregion*/
